package com.ruoyi.system.domain;

import com.alibaba.fastjson.JSON;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.sql.Blob;

/**
 * 存放历史数据对象 act_history_data
 * 
 * @author
 * @date 2024-07-24
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActHistoryData {
    /**
     * 主键id
     */
    private Integer id;

    /**
     * 年月
     */
    private String dateColumn;

    /**
     * 类型：（1：材料，2：工资，3，电力）
     */
    private Long type;

    /**
     * 矿id
     */
    private String mineId;

    /**
     * 存储的数据
     */

    private String content;
}