package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.ActDispensing;
import com.ruoyi.system.domain.ActSupplies;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 物料总分类管理Mapper接口
 * 
 * @author ruoyi
 * @date 2023-07-11
 */
@Repository
public interface ActSuppliesAccountMapper
{
    /**
     * 查询物料总分类管理
     * 
     * @param name 物料总分类管理ID
     * @return 物料总分类管理
     */
    public ActDispensing selectActSuppliesAccpuntByName(String name);

    public List<ActDispensing> selectActSuppliesAccpuntByCode();


    void installSixMinTable(ActDispensing actDispensings);
}
