import { setXRow } from "@/utils/tzc";
/**
 * @function 林西矿工资数据处理
 * @description
 * @param jsonData 导入的数据
 * @return 处理后的luckysheet的一维数组
 * @author cwl 2024年6月17日11:37:45
 */
export function machLxGzdata(list, jsonData) {
    var CompositeTable = jsonData;
    //后台返回数据
    CompositeTable[0].data = luckysheet.transToData(CompositeTable[0].celldata);
    var dList = setXRow(CompositeTable[0].data); //汇总表中单位集合包含行数
    list.forEach((item) => {
        let dName = item.dep;
        var r = dList[dName];
        item.r = r;
        item.v = item.value;
    });

    // 对比 c 和 r 是否与 CompositeTable[0]["celldata"] 中相应对象相同
    for (let k = 0; k < CompositeTable[0]["celldata"].length; k++) {
        for (let i = 0; i < list.length; i++) {
            if (
                list[i].r == CompositeTable[0]["celldata"][k].r &&
                list[i].c == CompositeTable[0]["celldata"][k].c
            ) {
                // 如果相同，则进行替换
                CompositeTable[0]["celldata"][k].v.v = list[i].v;
            }
        }
    }
    return CompositeTable;
}
