export function DongMine(money, code, codess, CompositeTable, Department, classify, duplicateData) {
    let result = ['运输业务']
    let results=['10:应付职工薪酬','福利费','自建食堂支付']
    //先把运输业务插入到成本材料表中
    let inserts = CompositeTable[0].celldata.filter(obj => obj.v.v == '5.其他业务成本')[0].r;
    let insert=CompositeTable[0].celldata.filter(obj => obj.v.v == '9.专项储备')[0].r
    for (let i = 0, k = 0; i < CompositeTable[0].celldata.length && k < results.length; i++) {
        if (CompositeTable[0].celldata[i]?.r >= insert + 1 && CompositeTable[0].celldata[i]?.r < insert + 4 && CompositeTable[0].celldata[i]?.c == 0) {
            CompositeTable[0].celldata[i].v = { v: results[k], m: results[k] };
            k++;
        }
    }
    for (let i = 0, k = 0; i < CompositeTable[0].celldata.length && k < result.length; i++) {
           if (CompositeTable[0].celldata[i]?.r >= inserts + 1 && CompositeTable[0].celldata[i]?.r < inserts +2 && CompositeTable[0].celldata[i]?.c == 0) {
            CompositeTable[0].celldata[i].v = { v: result[k], m: result[k] };
            k++;
        }
    }
    //东欢坨矿转换方法
    //如果部门为旧品和设备 并且他们的材料为支护用品和大型材料就把他们放到基本生产里
    //材料编码,金额，部门
    //code 编码 ,，money金额,remark 部门
    let remark = Department
    remark.forEach((item) => {
        if (item.v.v.includes("单项卡")) {
            item.v.v = item.v.v.replace(/单项卡/g, '');
        }
    });
    money.forEach((item) => {
        item.remark = '';
        item.code = '';
        item.cc = '';
        item.v.name = '';
        item.index = item.r
    });
    for (let i = 0; i < money.length; i++) {
        if (money[i].r == code[i].r) {
            money[i].code = code[i].v.v;
        }
        if (money[i].r == remark[i].r) {
            money[i].remark = remark[i].v.v;
        }
    }

    codess.forEach((codeItem) => {
        let codeLength = String(codeItem.code).length;
        let codeToCompare = String(codeItem.code).substring(0, codeLength);
        money.forEach((moneyItem) => {
            let columnIdString = String(moneyItem.code);
            let idToMatch = columnIdString.substring(0, codeLength);
            if (idToMatch === codeToCompare) {
                moneyItem.cc = codeItem.oneLevel * 1;
            }
        });
    });

    money = money.map((item) => {
        let v = item.remark;
        for (let key in classify) {
            if (classify[key].includes(v)) {
                item.v.name = key;
                return item;
            }
        }
        item.v.name = "基本生产-原煤";
        return item;
    });
    //东欢坨矿的规则 如果部门为旧品和设备 并且他们的材料为支护用品和大型材料就把他们放到基本生产里
    money.forEach((item) => {
        if (item.remark.includes("旧品利用中心") || item.remark.includes("设备管理科")) {
            if (item.cc == 3 || item.cc == 2) {
                item.v.name = "基本生产-原煤";
            }
        }
    });

    money.forEach((item) => {
        item.c = item.cc ? item.cc * 1 : 10;
    });

    money.forEach((item) => {
        if (item.department && item.v.name) {
            let originalString = item.v.name;
            let parts = originalString.split("-");
            let replacedString = parts[0] + "-" + item.department;
            item.v.name = replacedString;
        }
    });

    money.forEach((item) => {
        if (item.v.name !== undefined) {
            let index = item.v.name.indexOf("-");
            if (index !== -1) {
                let substrBeforeDash = item.v.name.slice(0, index);
                let DepartColumns = CompositeTable[0]["celldata"].flat().find((obj) => {
                    if (obj.v && obj.v.v && typeof obj.v.v === 'string') {
                        return obj.v.v.includes(item.v.name.slice(0, index));
                    }
                    return false;
                });

                if (DepartColumns && DepartColumns.r) {
                    let index = item.v.name.indexOf("-");
                    if (index !== -1) {
                        let substrAfterDash = item.v.name.slice(index + 1);
                        switch (substrAfterDash) {
                            case '':
                                item.r = DepartColumns.r;
                                break;
                            case '原煤':
                                item.r = DepartColumns.r + 1;
                                break;
                            case '洗煤':
                                item.r = DepartColumns.r + 2;
                                break;
                            case '选煤':
                                item.r = DepartColumns.r + 3;
                                break;
                            case '运输业务':
                                item.r = DepartColumns.r + 1;
                                break;
                                case '福利费-自建食堂支持':
                                    item.r=DepartColumns.r+2
                            default:
                            // 默认情况
                        }
                    }
                }
            }
        }
    });
    //  && item.r !==9 && item.c!==8 
    // // 更新金额列
    for (let item of money) {
        if (item.r > 8 && item.c < 10) {
            item.c = 10;
        }
        if(item.cc==6 && item.r>=8 && item.r<=11){
            item.c=item.cc
        }
        if(item.c==9){
            item.c=10
        }
    }

    // 合并重复单元格数据
    let cellMap = new Map();
    for (let i = 0; i < money.length; i++) {
        let key = money[i].r + ',' + money[i].c;
        if (cellMap.has(key)) {
            let existingItem = cellMap.get(key);
            existingItem.v.v = Number(existingItem.v.v) + Number(money[i].v.v);
            existingItem.v.m = existingItem.v.v.toString();
            existingItem.index.push(money[i].index);
        } else {
            money[i].index = [money[i].index];
            cellMap.set(key, money[i]);
        }
    }
    duplicateData = Array.from(cellMap.values()).filter(item => Math.abs(item.v.v) > 0 || Math.abs(parseInt(item.v.m)) > 0);
    duplicateData = duplicateData.map(item => {
        return {
            ...item,
            v: {
                ...item.v,
                v: isNaN(item.v.v) ? item.v.v : Number(item.v.v).toFixed(2)
            }
        };
    });
    // 替换原始数据中的重复单元格数据
    //金额所在列和行，去模板表中查找，如果行列一致则替换
    // for (let i = 0; i < duplicateData.length; i++) {
    //     //     // 对比 c 和 r 是否与 CompositeTable[0]["celldata"] 中相应对象相同
    //     for (let k = 0; k < CompositeTable[0]["celldata"].length; k++) {
    //         if (duplicateData[i].r === CompositeTable[0]["celldata"][k].r && duplicateData[i].c === CompositeTable[0]["celldata"][k].c) {
    //             // 如果相同，则进行替换
    //             CompositeTable[0]["celldata"][k] = duplicateData[i];
    //         }
    //     }
    // }
    duplicateData.forEach(item => {
        const Fusion = {
            "r": '',
            "c": '',
            "v": {
                "ct": {
                    "fa": "@",
                    "t": "s"
                },
                "fs": 8,
                "ff": "微软雅黑",
                "tb": 2,
                "v": "",
                "qp": 1,
                "m": ""
            }
        };
        Fusion.r=item.r
        Fusion.c=item.c
        Fusion.v.v=item.v.v
        Fusion.v.m=item.v.v
        CompositeTable[0]["celldata"].push(Fusion)
    })
    let duplicateDatas = {
        duplicateData: duplicateData,
        CompositeTable: CompositeTable
    }
    return duplicateDatas
}