package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.wages.dao.AsiccDAO;
import com.ruoyi.system.service.AsiccSuppliesService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author haiwe
 * @date 2024/7/5
 */
@RestController
@RequestMapping("/asicc")
@RequiredArgsConstructor
public class AsiccSuppliesController {
    private final AsiccSuppliesService asiccSuppliesService;

    @PostMapping("/getData")
    public AjaxResult getData(@RequestBody AsiccDAO asiccDAO) {
        Map<String, Object> voList = asiccSuppliesService.getData(asiccDAO);
        return AjaxResult.success(voList);
    }


}
