package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.newrule.NewRuleRequestModel;
import com.ruoyi.system.service.PowerDisplayService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 2024/7/30
 */
@RestController
@RequestMapping("/powerDisplay")
public class PowerDisplayController {
    private PowerDisplayService powerDisplayService;

    PowerDisplayController(PowerDisplayService powerDisplayService) {
        this.powerDisplayService = powerDisplayService;
    }

    /**
     * 将电力汇总表中需要在大屏展示的数据存入库
     *
     * @return
     */
    @PostMapping("/peek")
    public AjaxResult peek(@RequestBody List<NewRuleRequestModel> powerDisplayDtoList) {
        powerDisplayService.peek(powerDisplayDtoList);
        return new AjaxResult(200, "成功");
    }
}
