package com.ruoyi.system.mapper;

import com.ruoyi.system.model.wages.dao.WagesDetailsExcelDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/6/5
 */
public interface WagesDetailsMapper {


    void insertBatch(@Param("date") String date, @Param("accList") List<WagesDetailsExcelDAO> wagesList, @Param("mineId") String mineId);


    void deleteBatch(@Param("mineId") String mineId, @Param("date") String date, @Param("comparisonId") Integer comparisonId);

    List<WagesDetailsExcelDAO> selectByDate(@Param("date") String date);

    List<WagesDetailsExcelDAO> selectByComparisonId(Integer comparisonId);
}
