package com.ruoyi.system.model.salary;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serializable;

@ExcelIgnoreUnannotated
public class LjtSalaryModel implements Serializable {

    @ExcelProperty("单位")
    private String org;

    @ExcelProperty("医疗保险")
    private String medicalInsurance;

    @ExcelProperty("养老保险")
    private String oldInsurance;

    @ExcelProperty("失业保险")
    private String unemploymentInsurance;

    @ExcelProperty("住房公积金")
    private String houseFund;

    @ExcelProperty("会费")
    private String laborUnionDues;

    @ExcelProperty("年金")
    private String annuity;

    @ExcelProperty("扣取暖")
    private String warmSubsidy;

    @ExcelProperty("工资总额")
    private String sumSalary;

    @ExcelProperty("班餐")
    private String lunch;

    @ExcelProperty("计育")
    private String oneChild;

    @ExcelProperty("医贴")
    private String medicalSubsidy;

    @ExcelProperty("培训费随资")
    private String edufFees;

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public String getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(String medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public String getOldInsurance() {
        return oldInsurance;
    }

    public void setOldInsurance(String oldInsurance) {
        this.oldInsurance = oldInsurance;
    }

    public String getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(String unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public String getHouseFund() {
        return houseFund;
    }

    public void setHouseFund(String houseFund) {
        this.houseFund = houseFund;
    }

    public String getLaborUnionDues() {
        return laborUnionDues;
    }

    public void setLaborUnionDues(String laborUnionDues) {
        this.laborUnionDues = laborUnionDues;
    }

    public String getAnnuity() {
        return annuity;
    }

    public void setAnnuity(String annuity) {
        this.annuity = annuity;
    }

    public String getWarmSubsidy() {
        return warmSubsidy;
    }

    public void setWarmSubsidy(String warmSubsidy) {
        this.warmSubsidy = warmSubsidy;
    }

    public String getSumSalary() {
        return sumSalary;
    }

    public void setSumSalary(String sumSalary) {
        this.sumSalary = sumSalary;
    }

    public String getLunch() {
        return lunch;
    }

    public void setLunch(String lunch) {
        this.lunch = lunch;
    }

    public String getOneChild() {
        return oneChild;
    }

    public void setOneChild(String oneChild) {
        this.oneChild = oneChild;
    }

    public String getMedicalSubsidy() {
        return medicalSubsidy;
    }

    public void setMedicalSubsidy(String medicalSubsidy) {
        this.medicalSubsidy = medicalSubsidy;
    }

    public String getEdufFees() {
        return edufFees;
    }

    public void setEdufFees(String edufFees) {
        this.edufFees = edufFees;
    }
}
