package com.ruoyi.system.model.wages.dao;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

/**
 * 2024/4/27
 */
// 工资原始详情表  转换excel  sheet2
public class WagesDetailsOriginalExcelSheet2DAO {
    // 单位名称
    @ExcelProperty(index = 2)
    private String unitName;
    // 代扣合计
    @ExcelProperty(index = 4)
    private BigDecimal totalWithholding;
    // 净支工资
    @ExcelProperty(index = 5)
    private BigDecimal netSalary;
    // 一孩费
    @ExcelProperty(index = 6)
    private BigDecimal oneChildFee;
    // 医疗补贴
    @ExcelProperty(index = 7)
    private BigDecimal medicalSubsidy;
    // 保健费
    @ExcelProperty(index = 8)
    private BigDecimal healthCareFee;
    // 班中餐
    @ExcelProperty(index = 9)
    private BigDecimal classMealFee;
    // 肥皂费
    @ExcelProperty(index = 10)
    private BigDecimal soapFee;
    // 护理费
    @ExcelProperty(index = 11)
    private BigDecimal nursingFee;
    // 防暑补贴
    @ExcelProperty(index = 12)
    private BigDecimal heatstrokePreventionSubsidy;
    // 取暖补贴
    @ExcelProperty(index = 13)
    private BigDecimal heatingSubsidy;
    // 稿费
    @ExcelProperty(index = 14)
    private BigDecimal manuscriptFee;
    // 司机出车补贴
    @ExcelProperty(index = 15)
    private BigDecimal driverAllowance;
    // 毕业生安家费
    @ExcelProperty(index = 16)
    private BigDecimal graduateSettlementFee;
    // 一次性伤残补助
    @ExcelProperty(index = 17)
    private BigDecimal oneTimeDisabilitySubsidy;
    // 讲课考务费
    @ExcelProperty(index = 18)
    private BigDecimal lectureAndExamFee;
    // 其他补贴
    @ExcelProperty(index = 19)
    private BigDecimal otherSubsidies;
    // 代付合计
    @ExcelProperty(index = 20)
    private BigDecimal totalPayment;
    // 工资总支款
    @ExcelProperty(index = 21)
    private BigDecimal totalSalaryDisbursement;

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public BigDecimal getTotalWithholding() {
        return totalWithholding;
    }

    public void setTotalWithholding(BigDecimal totalWithholding) {
        this.totalWithholding = totalWithholding;
    }

    public BigDecimal getNetSalary() {
        return netSalary;
    }

    public void setNetSalary(BigDecimal netSalary) {
        this.netSalary = netSalary;
    }

    public BigDecimal getOneChildFee() {
        return oneChildFee;
    }

    public void setOneChildFee(BigDecimal oneChildFee) {
        this.oneChildFee = oneChildFee;
    }

    public BigDecimal getMedicalSubsidy() {
        return medicalSubsidy;
    }

    public void setMedicalSubsidy(BigDecimal medicalSubsidy) {
        this.medicalSubsidy = medicalSubsidy;
    }

    public BigDecimal getHealthCareFee() {
        return healthCareFee;
    }

    public void setHealthCareFee(BigDecimal healthCareFee) {
        this.healthCareFee = healthCareFee;
    }

    public BigDecimal getClassMealFee() {
        return classMealFee;
    }

    public void setClassMealFee(BigDecimal classMealFee) {
        this.classMealFee = classMealFee;
    }

    public BigDecimal getSoapFee() {
        return soapFee;
    }

    public void setSoapFee(BigDecimal soapFee) {
        this.soapFee = soapFee;
    }

    public BigDecimal getNursingFee() {
        return nursingFee;
    }

    public void setNursingFee(BigDecimal nursingFee) {
        this.nursingFee = nursingFee;
    }

    public BigDecimal getHeatstrokePreventionSubsidy() {
        return heatstrokePreventionSubsidy;
    }

    public void setHeatstrokePreventionSubsidy(BigDecimal heatstrokePreventionSubsidy) {
        this.heatstrokePreventionSubsidy = heatstrokePreventionSubsidy;
    }

    public BigDecimal getHeatingSubsidy() {
        return heatingSubsidy;
    }

    public void setHeatingSubsidy(BigDecimal heatingSubsidy) {
        this.heatingSubsidy = heatingSubsidy;
    }

    public BigDecimal getManuscriptFee() {
        return manuscriptFee;
    }

    public void setManuscriptFee(BigDecimal manuscriptFee) {
        this.manuscriptFee = manuscriptFee;
    }

    public BigDecimal getDriverAllowance() {
        return driverAllowance;
    }

    public void setDriverAllowance(BigDecimal driverAllowance) {
        this.driverAllowance = driverAllowance;
    }

    public BigDecimal getGraduateSettlementFee() {
        return graduateSettlementFee;
    }

    public void setGraduateSettlementFee(BigDecimal graduateSettlementFee) {
        this.graduateSettlementFee = graduateSettlementFee;
    }

    public BigDecimal getOneTimeDisabilitySubsidy() {
        return oneTimeDisabilitySubsidy;
    }

    public void setOneTimeDisabilitySubsidy(BigDecimal oneTimeDisabilitySubsidy) {
        this.oneTimeDisabilitySubsidy = oneTimeDisabilitySubsidy;
    }

    public BigDecimal getLectureAndExamFee() {
        return lectureAndExamFee;
    }

    public void setLectureAndExamFee(BigDecimal lectureAndExamFee) {
        this.lectureAndExamFee = lectureAndExamFee;
    }

    public BigDecimal getOtherSubsidies() {
        return otherSubsidies;
    }

    public void setOtherSubsidies(BigDecimal otherSubsidies) {
        this.otherSubsidies = otherSubsidies;
    }

    public BigDecimal getTotalPayment() {
        return totalPayment;
    }

    public void setTotalPayment(BigDecimal totalPayment) {
        this.totalPayment = totalPayment;
    }

    public BigDecimal getTotalSalaryDisbursement() {
        return totalSalaryDisbursement;
    }

    public void setTotalSalaryDisbursement(BigDecimal totalSalaryDisbursement) {
        this.totalSalaryDisbursement = totalSalaryDisbursement;
    }
}
