package com.ruoyi.system.service;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.system.model.wages.dao.WagesDetailsOriginalExcelDAO;
import com.ruoyi.system.model.wages.dto.WagesFormulaListDto;
import com.ruoyi.system.model.wages.vo.WagesFormulaVo;
import com.ruoyi.system.model.wages.vo.WagesLxVo;
import com.ruoyi.system.model.wages.vo.WagesOverviewOriginalDataVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 2024/4/27
 */
public interface WagesService {
    String readOriginalData(MultipartFile file, String date);

    List<WagesOverviewOriginalDataVO> getSalaryList();

    List<WagesDetailsOriginalExcelDAO> details();

    JSONObject selectWagesVoucherList(String s);

    String linXiExcelAnalysisWages(MultipartFile file, String date, String mineId, String identification);


    List<WagesLxVo> lxSummary(WagesFormulaListDto wagesFormulaListDto);
}
