package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

/**
 * @author haiwe
 * @date 2024/7/8
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ActSuppliesMaterialDetails {
    //主键id
    private String id;
    //物料名称
    @JsonProperty(value = "NameColumn")
    private String nameColumn;
    //材料编码
    @JsonProperty(value = "CodeColumn")
    private String codeColumn;
    //部门
    @JsonProperty(value = "DepartmentColumn")
    private String departmentColumn;
    //数量
    @JsonProperty(value = "NumberColumn")
    private BigDecimal numberColumn;
    //单价
    @JsonProperty(value = "MoneyColumn")
    private BigDecimal moneyColumn;
    //总额
    private BigDecimal money;
    //计量单位
    private String unit;
    //型号
    private String model;
    //所属矿名
    private String mineName;
    //矿id
    private String mineId;
    //费用来源
    private String sourceColoumn;
    //一级材料类别
    private String oneLevel;
    //二级材料类别
    private String twoLevel;
    //日期
    @JsonProperty(value = "DateColumn")
    private String dateColumn;

    //备用字段
    private String spare;

    private String generalLevel;

    private String generalTwoLevel;


}
