import {
    getSuppliesTemplate,
    listSuppliesTemplate,
    roleList,
    templateListid
} from "@/api/ruoyi-myLuckyexcel/myluckyexcel";
import {cExcel,dExcel,power,powerdata} from "@/api/power/power.js";
import {
    importTSExcel
} from "@/api/conversion/power";
// import luckysheet from 'luckysheet'
import LuckyExcel from "luckyexcel";
//导入库export.js 这个文件是es6的，不能在普通的HTML文件直接引入js文件（虽然都是js文件，但是有区别，具体请百度es6与es5）！需要把es6转es5才可以直接引入使用！
/*import {materialList} from "@/api/ruoyi-myLuckyexcel/myluckyexcel";*/
import { v4 as uuidv4 } from "uuid";
import { exportExcel } from "../../../../public/exportExcel";
import { jxdfxt,setTs } from "@/views/system/power/ass.js";


import { machGzdata } from "@/Wages/conversTsk.js";
import { machLxGzdata } from "@/Wages/conversLxk.js";
// import { config } from "vue/types/umd";
var fileName = "新建XLSX工作表"; //定义表名
var rule = [];
var tempId;
var uuid1;
var modify = false;
var that;
export default {
    name: "Mymodule",
    data() {
        return {
            wageMonth: "",
            //汇总表数据
            luckyrule:'',
            //详细信息
            phone: "",
            //未导入成本材料表模板所有数据
            jsondata: "",
            //编码数据
            showMask: false,
            uuid: "",
            selectedOption: "",
            luckysheetData: "",
            luckysheetDatas: "",
            depss: [],
            fileList: [],
            VoucherForm: "",
            all: "",
            sum: [],
            //后端要的数据
            param:'',
            // 查询参数
            queryParams: {
                status: 0,
            },
            mineId:'',//矿ID
        };
    },
    created() {
        that=this;
        //刷新页面时进行的操作
        this.getList();
    },

    mounted() {
        this.init();
        fileName = "新建XLSX工作表";
    },
    methods: {
        //查询材料编码
        //手机号
        open() {
            this.$prompt("请输入用友系统的用户名", "提示", {
                confirmButtonText: "确定",
                cancelButtonText: "取消",
                inputPattern: /^(?:\+?86)?1[3-9]\d{9}$/,
                inputErrorMessage: "手机号格式不正确",
            })
                .then(({ value }) => {
                    this.$message({
                        type: "success",
                        message: "你的用户名是: " + value,
                    });
                    this.phone = value;
                    this.zhuan();
                })
                .catch(() => {
                    this.$message({
                        type: "info",
                        message: "取消输入",
                    });
                    this.showMask = false;
                });
        },
        /** 页面刷新时展示的数据*/
        getList() {
            listSuppliesTemplate(this.queryParams).then((response) => {
                response.rows.forEach((row) => {
                    if (row.templateName.includes("六矿")) {
                        row.disabled = true;
                    }
                });
                this.depss = response.rows;
            });
            getSuppliesTemplate(1248).then((response) => {
                const sysSupplies = response.rows;
                this.luckysheetDatas = JSON.parse(
                    sysSupplies[0].templateContent
                );
            });
        },
        open4() {
            this.$message.error("请仔细检查所导入表");
        },
        /** Luckyexcel文档 */
        init() {
            let options = {
                container: "luckysheet", //luckysheet为容器id
                title: "",
                lang: "zh",
                showinfobar: false,
                data: [
                    {
                        name: "sheet1", //工作表名称
                        color: "", //工作表颜色
                        index: 0, //工作表索引
                        status: 1, //激活状态
                        order: 0, //工作表的下标
                        hide: 0, //是否隐藏
                        row: 50, //行数
                        column: 20, //列数
                        defaultRowHeight: 19, //自定义行高
                        defaultColWidth: 73, //自定义列宽
                        celldata: [], //初始化使用的单元格数据
                        config: {
                            merge: {}, //合并单元格
                            rowlen: {}, //表格行高
                            columnlen: {}, //表格列宽
                            rowhidden: {}, //隐藏行
                            colhidden: {}, //隐藏列
                            borderInfo: {}, //边框
                            authority: {}, //工作表保护
                        },
                    },
                ],
            };
            luckysheet.create(options);
        },

        handleSuccess(response, file, fileList) {
          
        },
        //电力数据后台导入成功后，数据展示到前台
        loadTableData(evt) {
            this.sum.push(evt);
            if (modify) {
                this.$confirm(
                    "再次导入将会清空表内数据,是否继续操作？",
                    "注意!!!",
                    {
                        confirmButtonText: "确定",
                        cancelButtonText: "取消",
                        type: "warning",
                    }
                )
                    .then(async () => {
                        // 确认继续后刷新页面返回模板
                        getSuppliesTemplate(this.selectedOption)
                            .then((response) => {
                                const sysSupplies = response.rows;
                                this.luckysheetData =
                                    sysSupplies[0].templateContent;
                                let json_data = JSON.parse(
                                    sysSupplies[0].templateContent
                                );
                                luckysheet.destroy();
                                luckysheet.create({
                                    container: "luckysheet", // Luckysheet 的容器元素 ID
                                    title: fileName, // Excel 文件名
                                    data: json_data, // Excel 数据
                                    allowEdit: false, //作用：是否允许前台编辑
                                    showinfobar: false, //是否显示顶部名称栏
                                    lang: "zh",
                                });
                                modify = false;
                                this.open(this.sum);
                            })
                            .then(async () => {})
                            .catch(() => {});
                    })
                    .catch(() => {
                        // 用户点击了取消按钮
                        this.$message({
                            type: "info",
                            message: "操作已取消",
                        });
                    });
            } else {
                this.open(evt);
                this.showMask = true;
                LuckyExcel(evt, (exportJson) => {
                    //获取导入表格所有数据exportJson
                    this.open(exportJson)
                        .then(async () => {})
                        .catch((error) => {
                            this.$message({
                                message: error.message,
                                type: "error",
                            });
                        })
                        .finally(() => {
                            // 导入完成后关闭遮罩层
                            this.showMask = false;
                        });
                });
            }
        },

        async handleFileChange(evt) {
            if (this.value.includes("凭证")) {
                this.loadTableData(evt);
            } else  {
                //组装后台接口数据
                this.param = new FormData();
                this.param.append("file", evt);
                this.param.append("date", this.wageMonth);
                this.param.append("mineId", this.mineId);
            }
            //前台加载数据
        },
        handleOptionChange(value,mine_id) {
            templateListid(value).then((response) => {
                this.luckyrule = JSON.parse(response.rows[0].templateContent);
                this.luckyrule.forEach(item=>{
                    item.data=luckysheet.transToData(item.celldata)
                })
            });
            that.mineId=mine_id.id
            let lod = this.$loading({
                lock: true,
                text: "加载中",
                background: "rgba(0, 0, 0, 0.7)",
            });
            //根据选中的下拉选项值获取相应的信息
            getSuppliesTemplate(this.selectedOption)
                .then((response) => {
                    lod.close();
                    modify = false;
                    tempId = this.selectedOption;
                    uuid1 = this.uuid = uuidv4().substring(0, 8);
                    const sysSupplies = response.rows;
                    this.luckysheetData = sysSupplies[0].templateContent;
                    var json_data = JSON.parse(sysSupplies[0].templateContent);
                    this.jsondata = json_data;
                    let suffixArr = sysSupplies[0].templateName.split(".");
                    fileName = suffixArr[0];
                    //luckysheet.destroy()
                    luckysheet.create({
                        container: "luckysheet", // Luckysheet 的容器元素 ID
                        title: fileName, // Excel 文件名
                        data: json_data, // Excel 数据
                        showinfobar: false,
                        allowEdit: false, //是否显示顶部名称栏
                        lang: "zh",
                        index: "0", //工作表索引
                        status: "1", //激活状态
                    });
                    this.value = fileName;
                           

                })
                .catch(() => {
                    lod.close();
                    // 处理错误逻辑，这里是一个空的错误处理函数
                    this.$message.error("查询失败,发生未知错误!");
                });
        },
  

        //电力数据后台汇总完后，回显到前台
        setLuckysheetData(CompositeTable,myCompositeTable){
            CompositeTable[0].data = luckysheet.transToData(
                myCompositeTable[0].celldata
            );

            CompositeTable[0].calcChain = [];
            let as = CompositeTable[0].celldata.filter(
                (item) => item.v.f
            );
            as.forEach((item) => {
                let sum = {
                    index: CompositeTable[0].index,
                    r: item.r,
                    c: item.c,
                };
                CompositeTable[0].calcChain.push(sum);
            });

            CompositeTable[0].celldata[0].status = 1;
            luckysheet.create({
                forceCalculation: true,
                container: "luckysheet",
                title: fileName,
                data: CompositeTable,
                showinfobar: false,
                lang: "zh",
            });
            let obj = {
                yearMonth: this.wageMonth,
                jsonData: JSON.stringify(CompositeTable),
                value: jsonString,
                mineId:that.mineId
            };

            modify = true;
            that.showMask = false;
            conversionSave(obj).then((response) => {});
        },
        //转换方法
        zhuan() {
            const promises = this.sum.map((item) => {
                return new Promise((resolve, reject) => {
                    LuckyExcel.transformExcelToLucky(item, (lucksheetfile) => {
                        resolve(lucksheetfile);
                    });
                });
            });
            Promise.all(promises).then((results) => {
           
                let min={
                    date:this.wageMonth,
                    mineId:this.mineId
                }
                //唐山矿规则
                let CConfig = {
                    '加收管理费': ['电费-基本'],
                    '照明电量': ["电量-峰", "电量-平", "电量-尖", "电量-谷", '电量-合计'],//前四个有就不填，都没有填电量-合计
                    '电光电费': ["电费-峰", "电费-平", "电费-尖", "电费-谷", '电费-合计'],
                    '峰段电量': ['电量-峰'],
                    '峰段金额': ['电费-峰'],
                    '平段电量': ['电量-平'],
                    '平段金额': ['电费-平'],
                    '谷段电量': ['电量-谷'],
                    '谷段金额': ['电费-谷'],
                }
                let itemConfig = {
                    '基本生产,原煤': ['原煤生产'],
                    '基本生产,洗煤': ['洗煤厂（高压）'],
                    '制造费用,原煤': ['矿井水净化', '地面维修', '联合建筑', '厂区服务', '供水供暖'],//todo  缺少
                    '管理用电': ['综合办', '工会楼', '小车房', '绿化保洁'],
                    '其他业务成本,住宿': ['住宿餐饮（集体宿舍)'],
                    '其他业务成本,餐饮': ['住宿餐饮（东门食堂)', ' 住宿餐饮（风井食堂）'],
                    '其他业务成本,厂区服务,集团大院': ['集团公司大院'],
                }
                let trans=jxdfxt(results[0].sheets)
                // 后端数据要的数据 trans, this.param
                setTs(TSdL, this.luckyrule, CConfig, itemConfig)
                this.showMask=false
                  
            });
            // .catch(error => {
            //     // 处理错误情况
            // });
        },
        //公式窗口关闭回调
  
        handleExport: debounce(function () {
            // handleExport

            exportExcel(luckysheet.getAllSheets(), fileName);
        }, 500),
    },
};

// debounce函数定义
function debounce(func, delay) {
    let timer;
    return function () {
        const context = this;
        const args = arguments;
        clearTimeout(timer);
        timer = setTimeout(function () {
            func.apply(context, args);
        }, delay);
    };
}




