export function lvMine(CompositeTable,cjson,codess,code) {
    let results = ['10.安全费用', '11.研究费用', '12.维简及井巷费']
    //先把安全费用 研发什么的插入到成本材料表中
    let insert=CompositeTable[0].celldata.filter(obj=>obj.v.v=='9.专项储备')[0].r
    for (let i = 0, k = 0; i < CompositeTable[0].celldata.length && k < results.length; i++) {
        if (CompositeTable[0].celldata[i] && CompositeTable[0].celldata[i].r && CompositeTable[0].celldata[i].r >= insert+1 && CompositeTable[0].celldata[i].r < insert+4 && CompositeTable[0].celldata[i].c == 0) {
            CompositeTable[0].celldata[i].v.v = results[k];
            CompositeTable[0].celldata[i].v.m = results[k];
            k++;
        }
    }
    let c = JSON.parse(cjson)
    // 使用 filter 方法筛选 r 值为 1 的对象，得到贷款信息
    const loan = c.filter(obj => obj.r === 1);
    // 使用 filter 方法筛选 r 值为 0 的对象，得到表头信息
    let head = c.filter(obj => obj.r === 0);
    // 找出空白列
    let mincolumn = head.filter(obj => !obj.v.v);
    // 获取最大列

    if(mincolumn.length!==0){
    const maxcolumn = loan[loan.length - 1].c;
    // 遍历空白列，根据表头信息进行填充
    for (let k = 0; k < mincolumn.length; k++) {
        let i = 1;
        while (true) {
            const targetHead = head.find(obj => obj.c === mincolumn[k].c - i);
            if (targetHead && targetHead.v.v !== undefined) {
                mincolumn[k].v.v = targetHead.v.v;
                break;
            }
            i++;
        }
    }
    // 更新表格中的空白列数据
    mincolumn.forEach(min => {
        const matchingCell = c.find(cell => cell.r === min.r && cell.c === min.c);
        if (matchingCell) {
            matchingCell.v.v = min.v.v;
        }
    });
}else{
    mincolumn=head.filter(item=>item.c>=12)
    }
    let  min =''
    // 获取最小列
    if (mincolumn && mincolumn[0] && mincolumn[0].c ) {
      min = mincolumn[0].c - 1;
        
    }
    // 使用 filter 方法筛选包含有效值的对象
    const max = c.filter(obj => obj.v.v);
    for (let i = max.length - 1; i >= 0; i--) {
        const item = max[i];
        if (item.v.v === "NaN") {
            max.splice(i, 1);
        }
    }
    // 获取编码列的索引
    const codecolumn = max.find(obj => obj.c === 2).c;
    // 获取表头合并所需的信息
    const head1 = max.filter(obj => obj.r >= 2 && obj.c === codecolumn);
    // 遍历表格，为每一项添加类别信息和金额信息
    max.forEach(obj => {
        if (obj.r > 0 && obj.c >= min) {
            let coulumn = obj.c;
            obj.v.name = max.find(c => c.c === coulumn && c.r === 0)?.v.v;
            obj.category = max.find(c => c.c === coulumn && c.r === 1)?.v.v;
        }
    });
    // // 输出整理后的表格数据
    // const code = max.filter(obj => obj.r >= 2 && obj.c == 0);
    // 获取金额列
    const moneycolumn = max.filter(obj => obj.r >= 2 && obj.c >= min);
    moneycolumn.forEach(money => {
        const matchingCode = code.find(code => code.r === money.r);
        if (matchingCode) {
            money.code = matchingCode.v.v;
        }
    });

    // 计算总金额   
    const moneys=moneycolumn.filter(obj=>obj.category=='出库金额')
    // 对 部门分类 进行处理
    moneys.forEach(item => {
        let categories = item.v.name;
        if (categories.includes('--') || categories.includes('-')) {
            categories = categories.replace(/--/g, '-');
        } else {
            categories += '-';
        }
        item.v.name = categories;
        return item;
    });
    moneys.forEach(item => {
        item.index = item.r
        item.coloumn=item.c
        if (item.v.name !== undefined) {
            let index = item.v.name.indexOf("-");
            if (index !== -1) {
                let substrBeforeDash = item.v.name.slice(0, index);
                let DepartColumns = CompositeTable[0]["celldata"].flat().filter(obj => {
                    if (obj.v && obj.v.v && typeof obj.v.v === 'string') {
                        return obj.v.v.includes(item.v.name.slice(0, index));
                    }
                    return false;
                })[0];
                if (DepartColumns && DepartColumns.r) {
                    let index = item.v.name.indexOf("-");
                    if (index !== -1) {
                        let substrAfterDash = item.v.name.slice(index + 1);
                        switch (substrAfterDash) {
                            case '':
                                item.r = DepartColumns.r;
                                break;
                            case '原煤':
                                item.r = DepartColumns.r + 1;
                                break;
                            case '洗煤':
                                item.r = DepartColumns.r + 2;
                                break;
                            case '选煤':
                                item.r = DepartColumns.r + 3;
                                break;
                            case '厂区服务':
                                item.r = DepartColumns.r + 1;
                                break;
                            default:
                            // 默认情况

                        }
                    }
                }
            }
        }
    });
    codess.forEach(code => {
        let codemin = String(code.codeMin).length;
        moneys.forEach(m => {
            let columnIdString = String(m.code);
            let moneycode = columnIdString.substring(0, codemin);
            if (moneycode <= String(code.codeMax) && moneycode>=String(code.codeMin) &&( m.v.name.includes('洗煤')? '02'==code.varietyOfCoal : '01'==code.varietyOfCoal) ) {
                m.cc = code.materialCodeType * 1;
            }
        });
    });
    moneys.forEach((item) => {
        item.c = item.cc ? item.cc * 1 : 10;
    if(item.r>8 ||item.code.startsWith('1521')){
        item.c=10
    }
    });
    // 同一个单元格的数据 金额相加。
    let duplicateData = [];
    let seen = new Map();
    // // 根据行列信息合并重复数据并记录索引
    for (let obj of moneys) {
        let key = obj.r + ',' + obj.c;
        if (seen.has(key)) {
            let existingObj = seen.get(key);
            existingObj.v.v = parseFloat(existingObj.v.v) + parseFloat(obj.v.v);
            existingObj.v.m = (parseInt(existingObj.v.v) + parseInt(obj.v.v)).toString();
            existingObj.index.push(obj.index);
        } else {
            obj.index = [obj.index];
            seen.set(key, obj);
        }
    }
    // 将合并后的数据放入 duplicateData 数组
    for (let obj of seen.values()) {
        if (Math.abs(obj.v.v) > 0 || Math.abs(parseInt(obj.v.m)) > 0) {
            duplicateData.push(obj);
        }
    }
    duplicateData = duplicateData.map(item => {
        return {
            ...item,
            v: {
                ...item.v,
                v: isNaN(item.v.v) ? item.v.v : Number(item.v.v).toFixed(2)
            }
        };
    });
    duplicateData=duplicateData.filter(item=> !item.v.name.includes('贸易部'))
    // 替换金额所在列和行相同的模板表中的数据
    //金额所在列和行，去模板表中查找，如果行列一致则替换
    for (let i = 0; i < duplicateData.length; i++) {
        //     // 对比 c 和 r 是否与 CompositeTable[0]["celldata"] 中相应对象相同
        for (let k = 0; k < CompositeTable[0]["celldata"].length; k++) {
            if (duplicateData[i].r === CompositeTable[0]["celldata"][k].r && duplicateData[i].c === CompositeTable[0]["celldata"][k].c) {
                // 如果相同，则进行替换
                CompositeTable[0]["celldata"][k] = duplicateData[i];
            }
        }
    }
//    duplicateData = duplicateData.filter(item => !item.v.name.includes('研发费用')&&!item.v.name.includes('安全费用')&&!item.v.name.includes('维简及井巷费'));
   let duplic={
        duplicateData:duplicateData,
        CompositeTable:CompositeTable
    }
return duplic

}