package com.ruoyi.system.constant;

import java.util.Set;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public class SalaryConstant {
    /**
     * 项目
     */
    public final static Set<String> ORG_SET = Stream.of("项目").collect(Collectors.toSet());
    /**
     * 人数
     */
    public final static Set<String> PERSON_COUNT_SET = Stream.of("人数").collect(Collectors.toSet());
    /**
     * 医疗补贴
     */
    public final static Set<String> MEDICAL_SUBSIDY_SET = Stream.of("医疗补贴").collect(Collectors.toSet());
    /**
     * 应付工资
     */
  //  public final static Set<String> SALARY_SET = Stream.of("应付工资").collect(Collectors.toSet());
    /**
     * 应付工资合计
     */
    public final static Set<String> SUMSALARY_SET = Stream.of("应付工资合计").collect(Collectors.toSet());
    /**
     * 基本养老保险
     */
    public final static Set<String> OLD_INSURANCE_SET = Stream.of("基本养老保险").collect(Collectors.toSet());
    /**
     * 年金
     */
    public final static Set<String> ANNUITY_SET = Stream.of("年金").collect(Collectors.toSet());
    /**
     * 一次性补缴的补充医疗保险（按上年度0.5%）
     */
    public final static Set<String> SINGLE_SUPPLY_MEDICAL_INSURANCE_SET = Stream.of("一次性补缴的补充医疗保险（按上年度0.5%）").collect(Collectors.toSet());
    /**
     * 基本医疗保险
     */
    public final static Set<String> MEDICAL_INSURANCE_SET = Stream.of("基本医疗保险").collect(Collectors.toSet());
    /**
     * 补充医疗保险
     */
    public final static Set<String> SUPPLY_MEDICAL_INSURANCE_SET = Stream.of("补充医疗保险").collect(Collectors.toSet());
    /**
     * 生育保险
     */
    public final static Set<String> BIRTH_INSURANCE_SET = Stream.of("生育保险").collect(Collectors.toSet());
    /**
     * 费用来源
     */
    //public final static Set<String> SOURCE_EXPENSES_SET = Stream.of("").collect(Collectors.toSet());
    /**
     * 失业保险
     */
    public final static Set<String> UNEMPLOYMENT_INSURANCE_SET = Stream.of("失业保险").collect(Collectors.toSet());
    /**
     * 工伤保险
     */
    public final static Set<String> INJURY_INSURANCE_SET = Stream.of("工伤保险").collect(Collectors.toSet());
    /**
     * 企业住房公积金
     */
    public final static Set<String> COMPANY_HOUSE_FUND_SET = Stream.of("企业住房公积金").collect(Collectors.toSet());
    /**
     * 住房公积金
     */
    public final static Set<String> HOUSE_FUND_SET = Stream.of("住房公积金").collect(Collectors.toSet());
    /**
     * 工会经费
     */
    public final static Set<String> LABOR_UNION_DUES_SET = Stream.of("工会经费").collect(Collectors.toSet());
    /**
     * 提取职教费
     */
    public final static Set<String> EDU_FEES_SET = Stream.of("提取职教费").collect(Collectors.toSet());

    /**
     * 一孩
     */
    public final static Set<String> oneChild_SET = Stream.of("一孩").collect(Collectors.toSet());
    /**
     * 班中餐
     */
    public final static Set<String> LUNCH_SET = Stream.of("班中餐").collect(Collectors.toSet());
    /**
     * 长户险
     */
    public final static Set<String> LONG_ACCOUNT_INSURANCE_SET = Stream.of("长户险").collect(Collectors.toSet());
    /**
     * 荣誉金
     */
    public final static Set<String> HONOR_MONEY_SET = Stream.of("荣誉金").collect(Collectors.toSet());
    /**
     * 取暖补贴
     */
    public final static Set<String> WARM_SUBSIDY_SET = Stream.of("取暖补贴").collect(Collectors.toSet());
    /**
     * 防暑降温
     */
    public final static Set<String> HEAT_PREVENT_SUBSIDY_SET = Stream.of("防暑降温").collect(Collectors.toSet());
    /**
     * 所属矿
     */
    public final static Set<String> BELONG_TO_COAL_SET = Stream.of("所属矿").collect(Collectors.toSet());
}
