package com.ruoyi.system.mapper;



import com.ruoyi.system.model.power.dao.Power;
import com.ruoyi.system.model.power.dao.PowerWagesComparation;

import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/6/26
 */

public interface PowerWagesComMapper {


    void insertBatch(PowerWagesComparation comparation);

    PowerWagesComparation select(@Param("type") String type, @Param("date") String importTime, @Param("mineId")String mineId);

    Boolean add(@Param("accList") List<Power> powerDetails, @Param("mineId") String mineId, @Param("importTime") String importTime, @Param("type") String type );

    PowerWagesComparation selectByCId(Integer comparisonId);

    List<PowerWagesComparation> selectByMineIdAndDate(@Param("mineId") String mineId, @Param("date") String date);

    void deleteByDateAndMineIdAndType(@Param("mineId") String mineId, @Param("date") String date, @Param("type") String type);
}
