package com.ruoyi.system.mapper;

import com.ruoyi.system.model.wages.dao.WagesVersionDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/6/12
 */
public interface WagesVersionMapper {

    List<WagesVersionDAO> selectByVersionId();

    List<String> selectByVersionIdToMineId(String mineId);

    void updateByWagesVersionToTypeAndMineId(@Param("type") String type, @Param("mineId") String mineId);

    void insertWagesVersion(@Param("type") String type, @Param("id") String mineId);

    String selectByWagesVersionToTypeAndMineId(@Param("type") String type, @Param("id") String mineId);
}
