package com.ruoyi.system.model.power.dao;

import lombok.Data;

import java.util.Objects;

/**
 * 2024/7/31
 * 电力类别查询
 */
public class PowerClassificationQueryDao {
    // 一级分类
    private String levelOneClassification;
    // 二级分类
    private String levelTwoClassification;
    // 三级分类
    private String levelThreeClassification;
    // 项目名
    private String classificationName;

    public String getLevelOneClassification() {
        return levelOneClassification;
    }

    public void setLevelOneClassification(String levelOneClassification) {
        this.levelOneClassification = levelOneClassification;
    }

    public String getLevelTwoClassification() {
        return levelTwoClassification;
    }

    public void setLevelTwoClassification(String levelTwoClassification) {
        this.levelTwoClassification = levelTwoClassification;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public void setClassificationName(String classificationName) {
        this.classificationName = classificationName;
    }

    public String getLevelThreeClassification() {
        return levelThreeClassification;
    }

    public void setLevelThreeClassification(String levelThreeClassification) {
        this.levelThreeClassification = levelThreeClassification;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        PowerClassificationQueryDao dao = (PowerClassificationQueryDao) o;
        return Objects.equals(classificationName, dao.classificationName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(classificationName);
    }
}
