package com.ruoyi.system.model.salary;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serializable;

@ExcelIgnoreUnannotated
public class LxInsuranceModel implements Serializable {

    @ExcelProperty(value = "部门名称")
    private String  org;

    private String personCount;

    @ExcelProperty(value = "基本养老保险")
    private String oldInsurance;

    @ExcelProperty(value = "基本医疗保险")
    private String medicalInsurance;

    @ExcelProperty(value = "补充医疗保险")
    private String supplyMedicalInsurance;

    @ExcelProperty(value = "失业保险")
    private String unemploymentInsurance;

    @ExcelProperty(value = "工伤保险")
    private String injuryInsurance;

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public String getPersonCount() {
        return personCount;
    }

    public void setPersonCount(String personCount) {
        this.personCount = personCount;
    }

    public String getOldInsurance() {
        return oldInsurance;
    }

    public void setOldInsurance(String oldInsurance) {
        this.oldInsurance = oldInsurance;
    }

    public String getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(String medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public String getSupplyMedicalInsurance() {
        return supplyMedicalInsurance;
    }

    public void setSupplyMedicalInsurance(String supplyMedicalInsurance) {
        this.supplyMedicalInsurance = supplyMedicalInsurance;
    }

    public String getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(String unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public String getInjuryInsurance() {
        return injuryInsurance;
    }

    public void setInjuryInsurance(String injuryInsurance) {
        this.injuryInsurance = injuryInsurance;
    }
}
