package com.ruoyi.system.service.impl.saveOnTheLargeScreenPower;

import com.ruoyi.system.model.power.dao.PowerClassificationQueryDao;
import com.ruoyi.system.model.power.dto.PowerDisplayDto;

import java.util.List;

/**
 * 2024/9/3
 */
public class FanGeZhuang implements SaveOnTheLargeScreen{
    @Override
    public List<PowerDisplayDto> save(String mindId, List<PowerDisplayDto> powerDisplayDtoList, List<PowerClassificationQueryDao> dao) {
        powerDisplayDtoList.parallelStream().forEach(v -> {
            for (PowerClassificationQueryDao queryDao : dao) {
                if (queryDao.getClassificationName().equals(v.getClassificationName())){
                    v.setLevelOneClassification(queryDao.getLevelOneClassification());
                    v.setLevelTwoClassification(queryDao.getLevelTwoClassification());
                    v.setLevelThreeClassification(queryDao.getLevelThreeClassification());
                    dao.remove(queryDao);
                    break;
                }
            }
        });
        powerDisplayDtoList.parallelStream()
                .filter(v -> (v.getLevelOneClassification() == null || v.getLevelOneClassification().equals("")) && !v.getClassificationName().contains("多经公司") && !v.getClassificationName().contains("社区用电"))
                .forEach(v -> {
                    v.setLevelOneClassification("生产成本");
                    v.setLevelTwoClassification("原煤");
                    v.setLevelThreeClassification("动力用电");
                });
        powerDisplayDtoList.parallelStream().filter(v -> "线损".equals(v.getClassificationName()) && v.getPowerTip() == null && v.getElectricityPriceTip() == null && v.getElectricityTip() == null)
                .forEach(v -> {
                    v.setLevelOneClassification("生产成本");
                    v.setLevelTwoClassification("原煤");
                    v.setLevelThreeClassification("动力用电");
                });
        return powerDisplayDtoList;
    }
}
